#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "edit_welcome") {&edit_welcome;}
if ($q->param('fct') eq "save_welcome") {&save_welcome;}
if ($q->param('fct') eq "edit_newsub_accept") {&edit_newsub_accept;}
if ($q->param('fct') eq "save_newsub_accept") {&save_newsub_accept;}
if ($q->param('fct') eq "edit_submissionreject") {&edit_submissionreject;}
if ($q->param('fct') eq "save_submissionreject") {&save_submissionreject;}
if ($q->param('fct') eq "edit_submissioninform") {&edit_submissioninform;}
if ($q->param('fct') eq "save_submissioninform") {&save_submissioninform;}

##################################################################################


sub edit_submissioninform
{

($extradfk) = acs::get_extra_vars;

if ($extradfk ne ""){$extradfk = "<font color=\"#8080FF\"><b>Listed below is extra field/key variables that may be used with this email.</b><br><br></b>$extradfk<b></font>";}

$emailmsg = acs::get_file_contents("$data_dir/informer.eml");

@elines = split (/\n/, $emailmsg);

$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}


$from = $q->param('from');


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Informer Email", qq[
This email is sent to you, to inform you that a new submission has been made.
<BR><a href="$admin_url/admin16.cgi"><b>Go Back</b></a>
]); 


$helpb = acs::quick_help("Variables Available For Use In This Email ",qq[
<p align="left"><strong>%%title%% <br>
</strong>The title of the modified link. </p>

<p align="left"><strong>%%description%% </strong><br>
The description of the modified link. </p>

<p align="left"><strong>%%url%% <br>
</strong>The url of the link where modification changes has been approved. </p>

<p align="left"><strong>%%keywords%% <br>
</strong>The url of the link where modification changes has been approved. </p>

<p>$extradfk </p>
]);


print <<END_OF_INF;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>



$hbox


<form method="POST" action="$admin_url/admin21.cgi">
  <input type="hidden" name="fct" value="save_submissioninform"><input type="hidden"
  name="from" value="$from"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#DDDDDD">
    <tr>
      <td width="100%" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF"
      class="normaltext"><strong>Email Details:</strong></td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">To Email: </td>
      <td width="85%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="from_name"
      size="40" value="$from_name" style="width:100%"> The 'informer' email will be sent to this address. </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Email: </td>
      <td width="85%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="from_email"
      size="40" value="$from_email" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">Email Subject: </td>
      <td width="85%" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="email_subject" size="57" value="$email_subject" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" valign="top" bgcolor="#FFFFFF" class="normaltext">Message: </td>
      <td width="85%" bgcolor="#FFFFFF" class="normaltext"><textarea rows="24"
      name="email_message" cols="77" style="width:100%">
$email_message
</textarea> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF"></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="submit" value="   Save   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


$helpb

</body>
</html>

END_OF_INF

}




sub save_submissioninform
{

if ($q->param('from_name') eq ""){acs::problem_popup("You have to supply a name from whom email is sent.");}
if ($q->param('from_email') eq ""){acs::problem_popup("You have to supply an email address from where email is sent.");}
if ($q->param('email_subject') eq ""){acs::problem_popup("The email needs a subject.");}
if ($q->param('email_message') eq ""){acs::problem_popup("The email needs a message.");}

open (AME, "> $data_dir/informer.eml");
	print AME $q->param('from_name') . "\n";
	print AME $q->param('from_email') . "\n";
	print AME $q->param('email_subject') . "\n";
	print AME $q->param('email_message') . "\n";
close (AME);

if ($q->param('from') ne "")
	{
	$link = "$admin_url/admin20.cgi";
	}
	else
	{
	$link = "$admin_url/admin16.cgi";
	}


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Informer Email Saved", qq[
Email Saved. <a href="$link">Click here to continue.</a>
]); 



print <<END_OF_SAVED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>

END_OF_SAVED



}




sub save_submissionreject
{

if ($q->param('from_name') eq ""){acs::problem_popup("You have to supply a name from whom email is sent.");}
if ($q->param('from_email') eq ""){acs::problem_popup("You have to supply an email address from where email is sent.");}
if ($q->param('email_subject') eq ""){acs::problem_popup("The email needs a subject.");}
if ($q->param('email_message') eq ""){acs::problem_popup("The email needs a message.");}

open (AME, "> $data_dir/rejection.eml");
	print AME $q->param('from_name') . "\n";
	print AME $q->param('from_email') . "\n";
	print AME $q->param('email_subject') . "\n";
	print AME $q->param('email_message') . "\n";
close (AME);

if ($q->param('from') ne "")
	{
	$link = "$admin_url/admin20.cgi";
	}
	else
	{
	$link = "$admin_url/admin16.cgi";
	}



$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Rejection Email Saved", qq[
Email Saved. <a href="$link">Click here to continue.</a>
]); 


print <<END_OF_SAVED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_SAVED

}




sub edit_submissionreject
{

($extradfk) = acs::get_extra_vars;
if ($extradfk ne ""){$extradfk = "<font color=\"#8080FF\"><b>Listed below is extra field/key variables that may be used with this email.</b><br><br></b>$extradfk<b></font>";}

$emailmsg = acs::get_file_contents("$data_dir/rejection.eml");

@elines = split (/\n/, $emailmsg);

$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}

$from = $q->param('from');


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Rejection Email", qq[
This email is sent to a user when his/her new submission has not been approved for inclusion into the directory.
<BR><a href="$admin_url/admin16.cgi"><b>Go Back</b></a>
]); 


$helpb = acs::quick_help("Variables Available For Use In This Email ",qq[
<p align="left"><strong>%%title%% <br>
</strong>The title of the newly submitted link. </p>

<p align="left"><strong>%%description%% </strong><br>
The description of the newly submitted link. </p>

<p align="left"><strong>%%url%% <br>
</strong>The url of the newly submitted link. </p>

<p align="left"><strong>%%keywords%% <br>
</strong>The keywords of the newly submitted link. </p>

<p align="left"><strong>%%name%% <br>
</strong>Name of the submitter. </p>

<p align="left"><strong>%%email%% </strong><br>
Email of the submitter. </p>

<p align="left"><strong>%%password%% <br>
</strong>The password to modify the newly submitted link. </p>

<p><strong>%%date%% <br>
</strong>The date when the new submission has been made. </p>

<p><strong>%%category_submitted%% <br>
</strong>The category where the link has been submitted. </p>

<p>$extradfk </p>]);


print <<END_OF_EM;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>

<body>

$hbox

<form method="POST" action="$admin_url/admin21.cgi">
  <input type="hidden" name="fct" value="save_submissionreject"><input type="hidden"
  name="from" value="$from"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#DDDDDD">
    <tr>
      <td colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Email
      Details:</strong></td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Name: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name" size="40"
      value="$from_name" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Email: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email" size="40"
      value="$from_email" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">Email Subject: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject" size="57"
      value="$email_subject" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" valign="top" bgcolor="#FFFFFF" class="normaltext">Message: </td>
      <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message" cols="77"
      style="width:100%">$email_message</textarea> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF"></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="submit" value="   Save   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


$helpb


</body>
</html>

END_OF_EM



}




sub save_newsub_accept
{

if ($q->param('from_name') eq ""){acs::problem_popup("You have to supply a name from whom email is sent.");}
if ($q->param('from_email') eq ""){acs::problem_popup("You have to supply an email address from where email is sent.");}
if ($q->param('email_subject') eq ""){acs::problem_popup("The email needs a subject.");}
if ($q->param('email_message') eq ""){acs::problem_popup("The email needs a message.");}

open (AME, "> $data_dir/acceptance.eml");
	print AME $q->param('from_name') . "\n";
	print AME $q->param('from_email') . "\n";
	print AME $q->param('email_subject') . "\n";
	print AME $q->param('email_message') . "\n";
close (AME);

if ($q->param('from') ne "")
	{
	$link = "$admin_url/admin20.cgi";
	}
	else
	{
	$link = "$admin_url/admin16.cgi";
	}


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Acceptance Email Saved", qq[
<a href="$link">Click here to continue.</a>
]); 



print <<END_OF_SAVED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox

</body>
</html>

END_OF_SAVED


}





sub edit_newsub_accept
{

($extradfk) = acs::get_extra_vars;

if ($extradfk ne ""){$extradfk = "<font color=\"#8080FF\"><b>Listed below is extra field/key variables that may be used with this email.</b><br><br></b>$extradfk<b></font>";}

$emailmsg = acs::get_file_contents("$data_dir/acceptance.eml");

@elines = split (/\n/, $emailmsg);

$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}

$from = $q->param('from');


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission: Acceptance Email", qq[
This email is sent to a user when his/her new submission has been approved for inclusion into the Search Engine & Directory. 
<BR><a href="$admin_url/admin16.cgi"><b>Go Back</b></a>
]); 




$helpb = acs::quick_help("Variables Available For Use In This Email ",qq[<p align="left"><strong>%%title%% <br>
</strong>The title of the newly submitted link. </p>

<p align="left"><strong>%%description%% </strong><br>
The description of the newly submitted link. </p>

<p align="left"><strong>%%url%% <br>
</strong>The url of the newly submitted link. </p>

<p align="left"><strong>%%keywords%% <br>
</strong>The keywords of the newly submitted link. </p>

<p align="left"><strong>%%name%% <br>
</strong>Name of the submitter. </p>

<p align="left"><strong>%%email%% </strong><br>
Email of the submitter. </p>

<p align="left"><strong>%%password%% <br>
</strong>The password to modify the newly submitted link. </p>

<p><strong>%%date%% <br>
</strong>The date when the new submission has been made. </p>

<p><strong>%%rating_code_url%% <br>
</strong>This is replaced by a URL that provides the user with instructions on adding a
rating box to his/her web site. </p>

<p><strong>%%category_submitted%% <br>
</strong>The category where the link has been submitted. </p>

<p>$extradfk </p>
]); 




print <<END_OF_EM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>



$hbox

<form method="POST" action="$admin_url/admin21.cgi">
  <input type="hidden" name="fct" value="save_newsub_accept"><input type="hidden"
  name="from" value="$from"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#DDDDDD">
    <tr>
      <td colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Email Details:</strong></td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Name: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name" size="40"
      value="$from_name" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Email: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email" size="40"
      value="$from_email" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">Email Subject: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject" size="57"
      value="$email_subject" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" valign="top" bgcolor="#FFFFFF" class="normaltext">Message: </td>
      <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message" cols="77" style="width:100%">$email_message

</textarea> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF"></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="submit" value="   Save   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>

$helpb

</body>
</html>

END_OF_EM

}






sub save_welcome
{

if ($q->param('from_name') eq ""){acs::problem_popup("You have to supply a name from whom email is sent.");}
if ($q->param('from_email') eq ""){acs::problem_popup("You have to supply an email address from where email is sent.");}
if ($q->param('email_subject') eq ""){acs::problem_popup("The email needs a subject.");}
if ($q->param('email_message') eq ""){acs::problem_popup("The email needs a message.");}

open (AME, "> $data_dir/welcome.eml");
	print AME $q->param('from_name') . "\n";
	print AME $q->param('from_email') . "\n";
	print AME $q->param('email_subject') . "\n";
	print AME $q->param('email_message') . "\n";
close (AME);

if ($q->param('from') ne "")
	{
	$link = "$admin_url/admin20.cgi";
	}
	else
	{
	$link = "$admin_url/admin16.cgi";
	}


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "Welcome Email Saved", qq[
Email Saved. <a href="$link">Click here to continue.</a>
]); 

print <<END_OF_SAVED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
</body>
</html>

END_OF_SAVED

}




sub edit_welcome
{

($extradfk) = acs::get_extra_vars;

if ($extradfk ne ""){$extradfk = "<font color=\"#8080FF\"><b>Listed below is extra field/key variables that may be used with this email.</b><br><br></b>$extradfk<b></font>";}

$emailmsg = acs::get_file_contents("$data_dir/welcome.eml");

@elines = split (/\n/, $emailmsg);

$from_name = $elines[0];
$from_email = $elines[1];
$email_subject = $elines[2];

$lnc = 0;
foreach $line (@elines)
	{
	if ($lnc > 2)
		{
		$email_message = $email_message . $line . "\n";
		}
	$lnc++;
	}

$from = $q->param('from');



$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "Settings > Welcome Email", qq[This email is sent when a submission takes place. It almost acts like an autoresponder because it is sent just after a user added a new listing via the 'add url' form. <BR><a href="$admin_url/admin16.cgi"><b>Go Back</b></a>]); 


$helpb = acs::quick_help("Variables Available For Use In This Email ",qq[<p align="left"><strong>%%title%% <br>
</strong>The title of the newly submitted link. </p>

<p align="left"><strong>%%description%% </strong><br>
The description of the newly submitted link. </p>

<p align="left"><strong>%%url%% <br>
</strong>The url of the newly submitted link. </p>

<p align="left"><strong>%%keywords%% <br>
</strong>The keywords of the newly submitted link. </p>

<p align="left"><strong>%%name%% <br>
</strong>Name of the submitter. </p>

<p align="left"><strong>%%email%% </strong><br>
Email of the submitter. </p>

<p align="left"><strong>%%password%% <br>
</strong>The password to modify the newly submitted link. </p>

<p><strong>%%date%% <br>
</strong>The date when the new submission has been made. </p>

<p><strong>%%category_submitted%% <br>
</strong>The category where the link has been submitted. </p>

<p>$extradfk </p>
]); 



print <<END_OF_EM;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox


<form method="POST" action="$admin_url/admin21.cgi">
  <input type="hidden" name="fct" value="save_welcome"><input type="hidden" name="from"
  value="$from"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#DDDDDD" height="46">
    <tr>
      <td height="30" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Email Details:</strong></td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Name: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_name" size="40"
      value="$from_name" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">From Email:</td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="from_email" size="40"
      value="$from_email" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF" class="normaltext">Email Subject: </td>
      <td width="85%" bgcolor="#FFFFFF"><input type="text" name="email_subject" size="57"
      value="$email_subject" style="width:100%"> </td>
    </tr>
    <tr>
      <td width="15%" valign="top" bgcolor="#FFFFFF" class="normaltext">Message:</td>
      <td width="85%" bgcolor="#FFFFFF"><textarea rows="24" name="email_message" cols="77" style="width:100%">$email_message

</textarea> </td>
    </tr>
    <tr>
      <td width="15%" bgcolor="#FFFFFF"></td>
      <td width="85%" bgcolor="#FFFFFF"><input type="submit" value="   Save   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>

$helpb


</body>
</html>

END_OF_EM

}


####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

